# Android Rust Builder

This Docker image is designed for building Rust-based Android projects. It provides a pre-configured environment with all the necessary tools to compile Rust code for Android targets.

## Features

- Based on CircleCI's Android image (cimg/android:2025.04-ndk)
- Rust nightly toolchain
- Android targets for Rust:
  - aarch64-linux-android
  - armv7-linux-androideabi
  - x86_64-linux-android
  - i686-linux-android
- Clang compiler
- Mold linker (for faster linking)
- Cargo-binstall for fast installation of binary dependencies
- Cargo NDK for easy Android builds

## Usage

### Building the Docker Image
